FGEN(1) | NetBSD General Commands Manual | FGEN(1)

# NAME

fgen — IEEE 1275 Open Firmware FCode Tokenizer

# SYNOPSIS

fgen | [-d level] [-o outfile] infile

# DESCRIPTION

Reads Forth source and generates tokenized FCode object file.

# AUTHORS

Written by Eduardo E. Horvath <eeh@one-o.com>

# BUGS

String escape sequences are not recognized so things such as

" foo "(01 02) "n "

will result in the string

“foo "(01 02) "n”.

Hexadecimal numbers with dots in them such as 100.0000 are not parsed.

Permissions on the output file are often incorrect.

Output to the standard output device can cause problems.

October 31, 1998 | NetBSD 5.99